Subject: Re: [bitcoin-dev] Proposal: rewarding fees to next block miner

From: Gregory Maxwell <[email-masked]>
Date: Mon, 29 Jan 2018 21:22:25 +0000

On Mon, Jan 29, 2018 at 4:49 AM, Eric Voskuil via bitcoin-dev
<[email-masked]> wrote:
> I'm not sure who cooked up this myth about miners gaining advantage over
> those who buy block space by mining empty space, rejecting higher-fee
> transactions, and/or mining "recovery" transactions, but the idea is
> complete nonsense.

I agree.

Steel-manning it, I guess I could argue that empty blocks are slightly
more conspicuous and might invite retaliation especially given the
high levels of mining centralization creates retaliation exposure. ...
but dummy transactions are hardly less conspicuous, many nodes log now
when blocks show up containing txn that they've never seen before.
Moreover, inexplicably underfilled blocks are produced (e.g. by
bitmain's antpool) and no retaliation seems to be forthcoming.